apiVersion: v1
kind: Service
metadata:
  name: cyb-rest-tm-ingress
  namespace: cyb
spec:
  ports:
    - port: 80
      targetPort: 80
      protocol: TCP
  type: ClusterIP
  selector:
    app: cyb-rest-tm
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    kubernetes.io/tls-acme: "true"
  name: cyb-rest-tm
  namespace: cyb
spec:
  rules:
    - host: cyb-rest-tm.k8s.coexya.eu
      http:
        paths:
          - backend:
              service:
                name: cyb-rest-tm-ingress
                port:
                  number: 80
            pathType: ImplementationSpecific
